compact1, compact2, compact3
java.security.cert

## Class CertificateParsingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.security.GeneralSecurityException
      - - java.security.cert.CertificateException
        - - java.security.cert.CertificateParsingException

- All Implemented Interfaces:
    Serializable

      public class CertificateParsingException
      extends CertificateException

  Certificate Parsing Exception. This is thrown whenever an invalid DER-encoded certificate is parsed or unsupported DER features are found in the Certificate.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CertificateParsingException()` Constructs a CertificateParsingException with no detail message.
    `CertificateParsingException(String message)` Constructs a CertificateParsingException with the specified detail message.
    `CertificateParsingException(String message, Throwable cause)` Creates a `CertificateParsingException` with the specified detail message and cause.
    `CertificateParsingException(Throwable cause)` Creates a `CertificateParsingException` with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CertificateParsingException

          public CertificateParsingException()

      Constructs a CertificateParsingException with no detail message. A detail message is a String that describes this particular exception.

    - #### CertificateParsingException

          public CertificateParsingException(String message)

      Constructs a CertificateParsingException with the specified detail message. A detail message is a String that describes this particular exception.
      Parameters:
        `message` - the detail message.

    - #### CertificateParsingException

          public CertificateParsingException(String message,
                                             Throwable cause)

      Creates a `CertificateParsingException` with the specified detail message and cause.
      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
        `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)
      Since:
        1.5

    - #### CertificateParsingException

          public CertificateParsingException(Throwable cause)

      Creates a `CertificateParsingException` with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).
      Parameters:
        `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)
      Since:
        1.5

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.